# Makefile.in generated by automake 1.8.5 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/pygtk
pkglibdir = $(libdir)/pygtk
pkgincludedir = $(includedir)/pygtk
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o root -g wheel
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = amd64-portbld-freebsd6.3
subdir = examples
DIST_COMMON = $(demo_PYTHON) $(pygtklib_PYTHON) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(demodir)" "$(DESTDIR)$(pygtklibdir)" "$(DESTDIR)$(demoimgdir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
demoPYTHON_INSTALL = $(INSTALL_DATA)
pygtklibPYTHON_INSTALL = $(INSTALL_DATA)
py_compile = $(top_srcdir)/py-compile
demoimgDATA_INSTALL = $(INSTALL_DATA)
DATA = $(demoimg_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run aclocal-1.8 
ACLOCAL_AMFLAGS = -I m4 -I .
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run tar
AR = ar
AS = as
ATK_CFLAGS = -I/usr/local/include/atk-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include  
ATK_LIBS = -L/usr/local/lib -latk-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
AUTOCONF = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run autoconf
AUTOHEADER = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run autoheader
AUTOMAKE = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run automake-1.8
AWK = nawk
BUILD_ATK_FALSE = #
BUILD_ATK_TRUE = 
BUILD_GTKUNIXPRINT_FALSE = #
BUILD_GTKUNIXPRINT_TRUE = 
BUILD_GTK_FALSE = #
BUILD_GTK_TRUE = 
BUILD_LIBGLADE_FALSE = #
BUILD_LIBGLADE_TRUE = 
BUILD_PANGOCAIRO_FALSE = #
BUILD_PANGOCAIRO_TRUE = 
BUILD_PANGO_FALSE = #
BUILD_PANGO_TRUE = 
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -fno-strict-aliasing -pipe   -Wall -std=c9x
CPP = cc -E
CPPFLAGS = -I/usr/local/include 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_DOCS_FALSE = 
ENABLE_DOCS_TRUE = #
EXEEXT = 
GLIB_CFLAGS = -D_REENTRANT -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -pthread -L/usr/local/lib -lgobject-2.0 -lgthread-2.0 -lglib-2.0 -liconv
GLIB_MKENUMS = glib-mkenums
GOBJECT_QUERY = gobject-query
GREP = /usr/bin/grep
GTK210_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  
GTK210_LIBS = -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv  
GTK212_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  
GTK212_LIBS = -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv  
GTKUNIXPRINT_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/gtk-unix-print-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  
GTKUNIXPRINT_LIBS = -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
GTK_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  
GTK_LIBS = -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
HAVE_GTK_2_10 = 
HAVE_GTK_2_10_FALSE = #
HAVE_GTK_2_10_TRUE = 
HAVE_GTK_2_12 = 
HAVE_GTK_2_12_FALSE = #
HAVE_GTK_2_12_TRUE = 
INSTALL_DATA = install  -o root -g wheel -m 444
INSTALL_PROGRAM = install  -s -o root -g wheel -m 555
INSTALL_SCRIPT = install  -o root -g wheel -m 555
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -pthread  -L/usr/local/lib
LIBGLADE_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/libglade-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/libxml2 -I/usr/local/include -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/freetype2  
LIBGLADE_LIBS = -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lX11 -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
LIBOBJS = 
LIBS = -lintl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/missing --run makeinfo
OBJDUMP = objdump
OBJEXT = o
OS_WIN32_FALSE = 
OS_WIN32_TRUE = #
PACKAGE = pygtk
PACKAGE_BUGREPORT = http://bugzilla.gnome.org/enter_bug.cgi?product=pygtk
PACKAGE_NAME = pygtk
PACKAGE_STRING = pygtk 2.12.0
PACKAGE_TARNAME = pygtk
PACKAGE_VERSION = 2.12.0
PANGOCAIRO_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/pango-1.0 -I/usr/local/include/cairo -I/usr/local/include -I/usr/local/include/freetype2 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pycairo  
PANGOCAIRO_LIBS = -Wl,--rpath -Wl,/usr/local/lib -pthread -L/usr/local/lib -lpangocairo-1.0 -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv -lcairo
PANGO_CFLAGS = -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include  
PANGO_LIBS = -L/usr/local/lib -lpango-1.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
PATH_SEPARATOR = :
PKG_CONFIG = /usr/local/bin/pkg-config
PLATFORM_WIN32_FALSE = 
PLATFORM_WIN32_TRUE = #
PYCAIRO_CFLAGS = -D_THREAD_SAFE -I/usr/local/include/pycairo -I/usr/local/include/cairo -I/usr/local/include/freetype2 -I/usr/local/include  
PYCAIRO_LIBS = -pthread -L/usr/local/lib -lcairo  
PYGOBJECT_CFLAGS = -I/usr/local/include/pygtk-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include  
PYGOBJECT_DATADIR = /usr/local/share
PYGOBJECT_FIXXREF = /usr/local/bin/python2.5 /usr/local/share/pygobject/xsl/fixxref.py
PYGOBJECT_INCLUDEDIR = /usr/local/include/pygtk-2.0
PYGOBJECT_LIBS = -L/usr/local/lib -lgobject-2.0 -lglib-2.0 -liconv  
PYGOBJECT_PYGDOCS = /usr/local/share/gtk-doc/html/pygobject
PYGTK_CODEGEN_DEFINES = -DHAVE_PYCAIRO  -DHAVE_GTK_2_12 -DGDK_TARGET_X11
PYGTK_MAJOR_VERSION = 2
PYGTK_MICRO_VERSION = 0
PYGTK_MINOR_VERSION = 12
PYTHON = /usr/local/bin/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INCLUDES = -I/usr/local/include/python2.5 -I/usr/local/include/python2.5
PYTHON_PLATFORM = freebsd6
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
THREADING_CFLAGS = 
VERSION = 2.12.0
XSLTPROC = 
ac_ct_CC = cc
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = amd64-portbld-freebsd6.3
build_alias = amd64-portbld-freebsd6.3
build_cpu = amd64
build_os = freebsd6.3
build_vendor = portbld
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = amd64-portbld-freebsd6.3
host_alias = 
host_cpu = amd64
host_os = freebsd6.3
host_vendor = portbld
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = /usr/local/info/
install_sh = /work/a/ports/x11-toolkits/py-gtk2/work/pygtk-2.12.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/local/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/pygtk
pkgpythondir = ${pythondir}/pygtk
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
pygtklibdir = $(libdir)/pygtk/2.0
pygtklib_PYTHON = pygtk-demo/pygtk-demo.py
demodir = $(pygtklibdir)/demos
demoimgdir = $(demodir)/images
bin_SCRIPTS = pygtk-demo/pygtk-demo
CLEANFILES = pygtk-demo/pygtk-demo
EXTRA_DIST = \
	pygtk-demo/pygtk-demo.in\
	atk/atk-demo.py		\
	gobject/editable-interface.py \
	gobject/properties.py	\
	gobject/signal.py	\
	gtk/bin.py		\
	gtk/customtreemodel.py	\
	gtk/filechooser.py	\
	gtk/scrollable.py	\
	gtk/sizegroup.py	\
	gtk/uimanager.py	\
	gtk/widget.py		\
	gtk/testprint.py	\
	glade/README		\
	glade/test.glade	\
	glade/autoconnect.py	\
	glade/test2.glade	\
	glade/glade-demo.py	\
	ide/README		\
	ide/break.xpm		\
	ide/browse.py		\
	ide/continue.xpm	\
	ide/edit.py		\
	ide/edit.xpm		\
	ide/gtkcons.py		\
	ide/gtkdb.py		\
	ide/gtkprof.py		\
	ide/minibreak.xpm	\
	ide/next.xpm		\
	ide/pyide.py		\
	ide/quit.xpm		\
	ide/return.xpm		\
	ide/run.xpm		\
	ide/step.xpm		\
	ide/dialogs.py		\
	pango/utf8-demo.py	\
	pango/pangocairo-simple.py \
	simple/README		\
	simple/dnd.py		\
	simple/dndpixmap.py	\
	simple/hello.py		\
	simple/scribble.py	\
	simple/simple.py	\
	simple/tooltip.py\
$(demoimg_DATA)
demo_PYTHON = \
	pygtk-demo/demos/__init__.py		\
	pygtk-demo/demos/appwindow.py		\
	pygtk-demo/demos/buttonbox.py		\
	pygtk-demo/demos/changedisplay.py	\
	pygtk-demo/demos/colorsel.py		\
	pygtk-demo/demos/dialogs.py		\
	pygtk-demo/demos/dnd.py			\
	pygtk-demo/demos/dndpixmap.py		\
	pygtk-demo/demos/editable_cells.py	\
	pygtk-demo/demos/entry_completion.py	\
	pygtk-demo/demos/expander.py		\
	pygtk-demo/demos/hypertext.py		\
	pygtk-demo/demos/images.py		\
	pygtk-demo/demos/list_store.py		\
	pygtk-demo/demos/menu.py		\
	pygtk-demo/demos/panes.py		\
	pygtk-demo/demos/pixbufs.py		\
	pygtk-demo/demos/print_editor.py	\
	pygtk-demo/demos/sizegroup.py		\
	pygtk-demo/demos/stock_browser.py	\
	pygtk-demo/demos/textview.py		\
	pygtk-demo/demos/tree_store.py		\
	pygtk-demo/demos/treemodel.py		\
	pygtk-demo/demos/statusicon.py		\
	pygtk-demo/demos/ui_manager.py

demoimg_DATA = \
	pygtk-demo/demos/images/alphatest.png		\
	pygtk-demo/demos/images/apple-red.png		\
	pygtk-demo/demos/images/background.jpg		\
	pygtk-demo/demos/images/floppybuddy.gif		\
	pygtk-demo/demos/images/gnome-applets.png	\
	pygtk-demo/demos/images/gnome-calendar.png	\
	pygtk-demo/demos/images/gnome-foot.png		\
	pygtk-demo/demos/images/gnome-gimp.png		\
	pygtk-demo/demos/images/gnome-gmush.png		\
	pygtk-demo/demos/images/gnome-gsame.png		\
	pygtk-demo/demos/images/gnu-keys.png		\
	pygtk-demo/demos/images/gtk-logo-rgb.gif

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-demoPYTHON: $(demo_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(demodir)" || $(mkdir_p) "$(DESTDIR)$(demodir)"
	@list='$(demo_PYTHON)'; dlist=''; for p in $$list; do\
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    d=`echo $$p | sed -e 's,^.*/,,'`; \
	    dlist="$$dlist $$d"; \
	    echo " $(demoPYTHON_INSTALL) '$$b$$p' '$(DESTDIR)$(demodir)/$$d'"; \
	    $(demoPYTHON_INSTALL) "$$b$$p" "$(DESTDIR)$(demodir)/$$d"; \
	  else :; fi; \
	done; \
	test -z "$$dlist" || \
	PYTHON=$(PYTHON) $(py_compile) --basedir "$(DESTDIR)$(demodir)" $$dlist

uninstall-demoPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(demo_PYTHON)'; dlist=''; for p in $$list; do\
	  d=`echo $$p | sed -e 's,^.*/,,'`; \
	  rm -f "$(DESTDIR)$(demodir)/$$d"; \
	  rm -f "$(DESTDIR)$(demodir)/$${d}c"; \
	  rm -f "$(DESTDIR)$(demodir)/$${d}o"; \
	done
install-pygtklibPYTHON: $(pygtklib_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(pygtklibdir)" || $(mkdir_p) "$(DESTDIR)$(pygtklibdir)"
	@list='$(pygtklib_PYTHON)'; dlist=''; for p in $$list; do\
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    d=`echo $$p | sed -e 's,^.*/,,'`; \
	    dlist="$$dlist $$d"; \
	    echo " $(pygtklibPYTHON_INSTALL) '$$b$$p' '$(DESTDIR)$(pygtklibdir)/$$d'"; \
	    $(pygtklibPYTHON_INSTALL) "$$b$$p" "$(DESTDIR)$(pygtklibdir)/$$d"; \
	  else :; fi; \
	done; \
	test -z "$$dlist" || \
	PYTHON=$(PYTHON) $(py_compile) --basedir "$(DESTDIR)$(pygtklibdir)" $$dlist

uninstall-pygtklibPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pygtklib_PYTHON)'; dlist=''; for p in $$list; do\
	  d=`echo $$p | sed -e 's,^.*/,,'`; \
	  rm -f "$(DESTDIR)$(pygtklibdir)/$$d"; \
	  rm -f "$(DESTDIR)$(pygtklibdir)/$${d}c"; \
	  rm -f "$(DESTDIR)$(pygtklibdir)/$${d}o"; \
	done
install-demoimgDATA: $(demoimg_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(demoimgdir)" || $(mkdir_p) "$(DESTDIR)$(demoimgdir)"
	@list='$(demoimg_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(demoimgDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(demoimgdir)/$$f'"; \
	  $(demoimgDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(demoimgdir)/$$f"; \
	done

uninstall-demoimgDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(demoimg_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(demoimgdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(demoimgdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/atk $(distdir)/glade $(distdir)/gobject $(distdir)/gtk $(distdir)/ide $(distdir)/pango $(distdir)/pygtk-demo $(distdir)/pygtk-demo/demos $(distdir)/pygtk-demo/demos/images $(distdir)/simple
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(SCRIPTS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(demodir)" "$(DESTDIR)$(pygtklibdir)" "$(DESTDIR)$(demoimgdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-demoPYTHON install-demoimgDATA \
	install-pygtklibPYTHON

install-exec-am: install-binSCRIPTS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binSCRIPTS uninstall-demoPYTHON \
	uninstall-demoimgDATA uninstall-info-am \
	uninstall-pygtklibPYTHON

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-binSCRIPTS install-data install-data-am \
	install-demoPYTHON install-demoimgDATA install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pygtklibPYTHON install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-binSCRIPTS uninstall-demoPYTHON \
	uninstall-demoimgDATA uninstall-info-am \
	uninstall-pygtklibPYTHON

pygtk-demo/pygtk-demo: pygtk-demo/pygtk-demo.in
	@mkdir -p pygtk-demo
	@sed -e s!\@PYTHON\@!/usr/local/bin/python2.5! \
	     -e s!\@libdir\@!${exec_prefix}/lib! \
		< $< > $@
	@chmod a+x $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
